org.eclipse.ui

## Interface IEditorActionDelegate

All Superinterfaces:
  IActionDelegate

All Known Implementing Classes:
  AbstractRulerActionDelegate, AddMemoryRenderingActionDelegate, BookmarkRulerAction, QuickDiffToggleAction, RulerBreakpointTypesActionDelegate, RulerEnableDisableBreakpointActionDelegate, RulerRunToLineActionDelegate, RulerToggleBreakpointActionDelegate, RunToLineActionDelegate, SelectRulerAction, TaskRulerAction

    public interface IEditorActionDelegate
    extends IActionDelegate

Interface for an action that is contributed into an editor-activated menu or tool bar. It extends `IActionDelegate` and adds a method for connecting the delegate to the editor it should work with. Since there is always only one action delegate per editor type, this method supplies the link to the currently active editor instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setActiveEditor(IAction action, IEditorPart targetEditor)` Sets the active editor for the delegate.

### Methods inherited from interface org.eclipse.ui.IActionDelegate

`run, selectionChanged`

### Method Detail

#### setActiveEditor

    void setActiveEditor(IAction action,
                         IEditorPart targetEditor)

Sets the active editor for the delegate. Implementors should disconnect from the old editor, connect to the new editor, and update the action to reflect the new editor.

Parameters:
  `action` - the action proxy that handles presentation portion of the action
  `targetEditor` - the new editor target